#include <iostream>

using namespace std;

int n, m, sreca[100005], poznanici[100005], k;

int main()
{
    cin >> n;
    cin >> m;
    for (int i = 0; i < n; i++)
    {
        cin >> sreca[i];
    }
    for (int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x;
        cin >> y;
        poznanici[x-1]++;
        poznanici[y-1]++;
    }

    int poz=0, neg=0;
    for (int i = 0; i < n; i++)
    {
        int n = sreca[i] * poznanici[i];
        if (n >= 0) poz += n;
        else neg += n;
    }

    k = abs(poz + neg);
    cout << k;
}